<script>
	import '../../../tailwind.css';
	import '../../../app.css';

	import Sidebar from '$lib/Dashboard/Sidebar.svelte';
	import Header from '$lib/Dashboard/Header.svelte';

	let sidebar;
</script>

<svelte:head>
	<title>Tableau de bord | Mon Infoclimat.fr</title>
</svelte:head>

<div class="h-screen flex overflow-hidden bg-gray-100">
	<Sidebar bind:this={sidebar} />

	<div class="flex flex-col w-0 flex-1 overflow-hidden">
		<Header on:open-sidebar={sidebar.open()} />

		<main class="flex-1 relative z-0 overflow-y-scroll focus:outline-none">
			<div class="py-6 px-4">
				<slot />
			</div>
		</main>
	</div>
</div>
